﻿using HealthMonitor.Util.QueryObjects;

namespace HealthMonitor.Core.Query.Extensions
{
    public static class QueryConditionsExt
    {
        public static IQueryable<T> QueryConditions<T>(this IQueryable<T> query, IEnumerable<QueryFilterCondition> conditions)
        {
            var parser = new QueryExpressionParser<T>();
            var filter = parser.ParserConditions(conditions);
            return query.Where(filter);
        }
    }
}
