﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HealthMonitor.Model.Service.Mapper
{
    public class BloodPressurePushRefIncModel
    {

        [JsonProperty("ts")]
        public DateTime Timestamp { get; set; }

        [JsonProperty("serialno")]
        public string SerialNumber { get; set; } = default!;


        [JsonProperty("systolic_ref_value")]
        public int SystolicRefValue { get; set; }

        [JsonProperty("diastolic_ref_value")]
        public int DiastolicRefValue { get; set; }


        [JsonProperty("systolic_inc_value")]
        public int SystolicIncValue { get; set; }

        [JsonProperty("diastolic_inc_value")]
        public int DiastolicIncValue { get; set; }


        [JsonProperty("systolic_avg_value")]
        public float SystolicAvgValue { get; set; }

        [JsonProperty("diastolic_avg_value")]
        public float DiastoliAvgValue { get; set; }


        [JsonProperty("diastolic_avg_offset")]
        public float DiastolicAvgOffset { get; set; }

        [JsonProperty("systolic_avg_offset")]
        public float SystolicAvgOffset { get; set; }


        [JsonProperty("stat_start_time")]
        public DateTime StatStartTime { get; set; }

        [JsonProperty("stat_end_time")]
        public DateTime StatEndTime { get; set; }


        [JsonProperty("is_manual")]
        public bool IsManual { get; set; }

        [JsonProperty("serial_tail_no")]
        public string SerialTailNumber { get; set; } = default!;
    }
}
